# Apollo-11

[![NASA][1]][2]
[![SWH]][SWH_URL]
[![Comanche]][ComancheMilestone]
[![Luminary]][LuminaryMilestone]

🌐
[Azerbaijani][AZ],
[bahasa Indonesia][ID],
[Català][CA],
[Čeština][CZ],
[Dansk][DA],
[Deutsch][DE],
[English][EN],
[Español][ES],
[Français][FR],
[Galego][GL],
[Italiano][IT],
[Kurdî][KU],
[Lietuvių][LT],
[Mongolian][MN],
[Nederlands][NL],
[Norsk][NO],
[Polski][PL],
[Português][PT_BR],
[Română][RO],
[tiếng Việt][VI],
[Türkçe][TR],
[Ελληνικά][GR],
[Беларуская мова][BE],
[Русский][RU],
[Українська][UK],
[العربية][AR],
[فارسی][FA],
[नेपाली भाषा][NE]
[हिंदी][HI_IN],
[অসমীয়া][AS_IN],
[বাংলা][BD_BN],
[မြန်မာ][MM],
[한국어][KO_KR],
[日本語][JA],
[正體中文][ZH_TW],
[简体中文][ZH_CN]

[AR]:README.ar.md
[AS_IN]:README.as_in.md
[AZ]:README.az.md
[BD_BN]:README.bd_bn.md
[BE]:README.be.md
[CA]:README.ca.md
[CZ]:README.cz.md
[DA]:README.da.md
[DE]:README.de.md
[EN]:../README.md
[ES]:README.es.md
[FA]:README.fa.md
[FR]:README.fr.md
[GL]:README.gl.md
[GR]:README.gr.md
[HI_IN]:README.hi_in.md
[ID]:README.id.md
[IT]:README.it.md
[JA]:README.ja.md
[KO_KR]:README.ko_kr.md
[KU]:README.ku.md
[LT]:README.lt.md
[MM]:README.mm.md
[MN]:README.mn.md
[NE]:README.ne.md
[NL]:README.nl.md
[NO]:README.no.md
[PL]:README.pl.md
[PT_BR]:README.pt_br.md
[RO]:README.ro.md
[RU]:README.ru.md
[TR]:README.tr.md
[UK]:README.ua.md
[VI]:README.vi.md
[ZH_CN]:README.zh_cn.md
[ZH_TW]:README.zh_tw.md

মূল অ্যাপোলো ১১ গাইডেন্স কম্পিউটার (AGC) এর কমান্ড মডিউল (Comanche055) এবং লুনার মডিউল (Luminary099) এর উৎস কোড। এটি [Virtual AGC][3] এবং [MIT Museum][4] এর সদস্যদের দ্বারা ডিজিটাইজ করা হয়েছে। মূল লক্ষ্য হলো অ্যাপোলো ১১ এর উৎস কোডের জন্য একটি রেপোজিটরি তৈরি করা। এই ভান্ডারে কপি এবং Luminary 099 এবং Comanche 055 এর মূল উৎসের মধ্যে সনাক্ত হওয়া যে কোনো সমস্যার জন্য PR (পুল রিকোয়েস্ট) স্বাগত জানানো হয় এবং সংশ্লিষ্ট যে কোনো ফাইল অন্তর্ভুক্ত করা যেতে পারে।

## অবদান

অনুগ্রহ করে pull request জমা দেওয়ার আগে [CONTRIBUTING.md][7] পড়ুন।

## কম্পাইল

যদি আপনি মূল উৎস কোড কম্পাইল করতে আগ্রহী, তবে [Virtual AGC][8] দেখুন।

## উৎস

&nbsp;         | &nbsp;
:------------- | :-----
কপিরাইট       | পাবলিক ডোমেইন
Comanche055    | Colossus 2A প্রোগ্রামের উৎস কোডের অংশ, অ্যাপোলো ১১ এর কমান্ড মডিউল (CM) এর জন্য অ্যাপোলো গাইডেন্স কম্পিউটার (AGC)<br>`Assemble revision 055 of AGC program Comanche by NASA`<br>`2021113-051. 10:28 APR. 1, 1969`
Luminary099    | Luminary 1A প্রোগ্রামের উৎস কোডের অংশ, অ্যাপোলো ১১ এর লুনার মডিউল (LM) এর জন্য অ্যাপোলো গাইডেন্স কম্পিউটার (AGC)<br>`Assemble revision 001 of AGC program LMY99 by NASA`<br>`2021112-061. 16:27 JUL. 14, 1969`
Assembler      | yaYUL
যোগাযোগ        | Ron Burkey <info@sandroid.org>
ওয়েবসাইট       | www.ibiblio.org/apollo
ডিজিটাইজেশন     | এই উৎস কোডটি হার্ডকপির ডিজিটাইজড ছবি থেকে অনুলিপি বা অভিযোজিত করা হয়েছে যা MIT মিউজিয়াম থেকে সংগ্রহ করা। এটি Paul Fjeld দ্বারা ডিজিটাইজ এবং Deborah Douglas দ্বারা আয়োজিত হয়েছে। দুজনের প্রতিই আন্তরিক ধন্যবাদ।

## চুক্তি এবং অনুমোদন

*এই বিভাগটি [CONTRACT_AND_APPROVALS.agc] থেকে নেওয়া হয়েছে*

এই AGC প্রোগ্রামটিকে Colossus 2A নামেও ডাকা হয়।

'R-577' রিপোর্ট অনুযায়ী, এই প্রোগ্রামটি CM-এ ব্যবহৃত হয়েছিল। এই প্রজেক্ট DSR প্রোজেক্ট '55-23870' এর অধীনে, National Aeronautics and Space Administration এর Manned Spacecraft Center দ্বারা পৃষ্ঠপোষিত, Instrumentation Laboratory, Massachusetts Institute of Technology এর সাথে চুক্তি 'NAS 9-4065' দ্বারা।

দাখিলকারী             | ভূমিকা | তারিখ
:------------------- | :--- | :---
Margaret H. Hamilton | Colossus প্রোগ্রামিং লিডার<br>অ্যাপোলো গাইডেন্স এবং নেভিগেশন | ২৮ মার্চ '৬৯

অনুমোদনকারী          | ভূমিকা | তারিখ
:---------------- | :--- | :---
Daniel J. Lickly  | পরিচালক, মিশন প্রোগ্রাম ডেভেলপমেন্ট<br>অ্যাপোলো গাইডেন্স এবং নেভিগেশন প্রোগ্রাম | ২৮ মার্চ '৬৯
Fred H. Martin    | Colossus প্রজেক্ট ম্যানেজার<br>অ্যাপোলো গাইডেন্স এবং নেভিগেশন প্রোগ্রাম | ২৮ মার্চ '৬৯
Norman E. Sears   | পরিচালক, মিশন ডেভেলপমেন্ট<br>অ্যাপোলো গাইডেন্স এবং নেভিগেশন প্রোগ্রাম | ২৮ মার্চ '৬৯
Richard H. Battin | পরিচালক, মিশন ডেভেলপমেন্ট<br>অ্যাপোলো গাইডেন্স এবং নেভিগেশন প্রোগ্রাম | ২৮ মার্চ '৬৯
David G. Hoag     | পরিচালক<br>অ্যাপোলো গাইডেন্স এবং নেভিগেশন প্রোগ্রাম | ২৮ মার্চ '৬৯
Ralph R. Ragan    | সহকারী পরিচালক<br>ইন্সট্রুমেন্টেশন ল্যাবরেটরি | ২৮ মার্চ '৬৯

[CONTRACT_AND_APPROVALS.agc]:https://github.com/chrislgarry/Apollo-11/blob/master/Comanche055/CONTRACT_AND_APPROVALS.agc
[1]:https://flat.badgen.net/badge/NASA/Mission%20Overview/0B3D91
[2]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[3]:http://www.ibiblio.org/apollo/
[4]:http://web.mit.edu/museum/
[5]:http://www.ibiblio.org/apollo/ScansForConversion/Luminary099/
[6]:http://www.ibiblio.org/apollo/ScansForConversion/Comanche055/
[7]:https://github.com/chrislgarry/Apollo-11/blob/master/CONTRIBUTING.md
[8]:https://github.com/rburkey2005/virtualagc
[SWH]:https://flat.badgen.net/badge/Software%20Heritage/Archive/0B3D91
[SWH_URL]:https://archive.softwareheritage.org/browse/origin/https://github.com/chrislgarry/Apollo-11/
[Comanche]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/1
[ComancheMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/1
[Luminary]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/2
[LuminaryMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/2
