# Apollo-11

[![NASA][1]][2]
[![SWH]][SWH_URL]
[![Comanche]][ComancheMilestone]
[![Luminary]][LuminaryMilestone]

🎌
[Azerbaijan][AZ],
[Bahasa Indonesia][ID],
[Català][CA],
[Čeština][CZ],
[Deutsch][DE],
[English][EN],
[Español][ES],
[Français][FR],
[Italiano][IT],
[Kurdi][KU],
[Nederlands][NL],
[Norsk][NO],
[Polski][PL],
[Português][PT_BR],
[Română][RO],
[Tiếng Việt][VI],
**Türkçe**,
[Ελληνικά][GR],
[Русский][RU],
[العربية][AR],
[فارسی][FA],
[हिंदी][HI_IN],
[অসমীয়া][AS_IN],
[বাংলা][BD_BN],
[မြန်မာ][MM],
[日本語][JA],
[正體中文][ZH_TW],
[简体中文][ZH_CN],
[한국어][KO_KR]

[AR]:README.ar.md
[AS_IN]:README.as_in.md
[AZ]:README.az.md
[BD_BN]:README.bd_bn.md
[BE]:README.be.md
[CA]:README.ca.md
[CZ]:README.cz.md
[DA]:README.da.md
[DE]:README.de.md
[EN]:../README.md
[ES]:README.es.md
[FA]:README.fa.md
[FR]:README.fr.md
[GL]:README.gl.md
[GR]:README.gr.md
[HI_IN]:README.hi_in.md
[ID]:README.id.md
[IT]:README.it.md
[JA]:README.ja.md
[KO_KR]:README.ko_kr.md
[KU]:README.ku.md
[LT]:README.lt.md
[MM]:README.mm.md
[MN]:README.mn.md
[NE]:README.ne.md
[NL]:README.nl.md
[NO]:README.no.md
[PL]:README.pl.md
[PT_BR]:README.pt_br.md
[RO]:README.ro.md
[RU]:README.ru.md
[TR]:README.tr.md
[UK]:README.ua.md
[VI]:README.vi.md
[ZH_CN]:README.zh_cn.md
[ZH_TW]:README.zh_tw.md

Original Apollo 11 Yönləndirmə Kompüterinin (AGC) Komanda Modulu (Comanche055) və Ay modulu (Luminary099) üçün mənbə kodu. [Virtual AGC][3] və [MIT Museum][4] əməkdaşları tərəfindən rəqəmsallaşdırılıb. Məqsəd, original Apollo 11 mənbə kodunu ehtiva edən bir repo yaratmaqdır. Buna görə də, bu repodakı transkriptlər ilə original [Luminary 099][5] və [Comanche 055][6] mənbə skanları arasında aşkarlanan xətalarla və ya mənim gözdən qaçırdığım bir fayl ilə əlaqəli pull request-ləri önəmsəyirik.

## Töhfə

Zəhmət olmasa pull request etmədən öncə [CONTRIBUTING.az.md][7] faylını oxuyun.

## Kompilyasiya

Əgər original mənbə kodunu kompilyasiya etmək istəyirsinizsə, [Virtual AGC][8] proyektinə baxa bilərsiniz.

## Atributlar

&nbsp;               | &nbsp;
:--------------      | :-----
Lisenziya            | İctimai mülkiyyət - ABŞ hökumətinin işi
Comanche055          | Apollo Yönləndirmə Kompüteri (AGC) Komanda Modulu (CM) olan Colossus 2A-nın mənbə kodunun bir hissəsi.<br>`AGC proqramı Comanche-in NASA tərəfindən yaradılan 055 sayılı birləşdirmə təftişi`<br>`2021113-051. 10:28 APR. 1, 1969`
Luminary099          | Apollo Yönləndirmə Kompüteri (AGC) Ay Modulu (LM) olan Luminary 1A-in mənbə kodunun bir parçası.<br>`AGC Proqramı LMY99-un NASA tərəfindən yaradılan 001 sayılı birləşdirmə təftişi`<br>`2021112-061. 16:27 İYUL. 14, 1969`
Kompilyator          | yaYUL
Əlaqə                | Ron Burkey <info@sandroid.org>
Sayt                 | www.ibiblio.org/apollo
Rəqəmsallaşdırma     | Bu mənbə kodu MIT muzeyindəki kağız nüsxələrin fotoşəkillərindən uyğunlaşdırılmış və ya köçürülmüşdür. Rəqəmsallaşdırma Muzeyin əməkdaşı Deborah Duqlas tərəfindən təşkil edilib, Paul Fjeld tərəfindən həyata keçirilmişdir. Hər ikisinə də təşəkkür edirəm.

### Əlaqə və Təsdiqlər

*[CONTRACT_AND_APPROVALS.agc]-dan alınmışdır.*

Bu AGC proqramı Colossus 2A kimi də tanınır.

`R-577` hesabatında qeyd edildiyi kimi, bu proqram CM üçün istifadə məqsədli nəzərdə tutulub. Bu proqram DSR `55-23870` layihəsi, Milli Aeronavtika və Kosmos Administrasiyasının Kosmik Gəmilər Mərkəzinin sponsorluğu ilə, Cambridge Mass Massachusetts Texnologiya İnstitutunun Alətlər Laboratoriyası ilə `NAS 9-4065` müqaviləsi əsasında hazırlanmışdır.

Göndərən             | Vəzifəsi | Tarix
:------------------- | :------  | :----
Margaret H. Hamilton | Colossus Proqramlama Lideri<br>Apollo Yönləndirmə və Naviqasiya                   | 28 Mart 1969

Təsdiqləyən          | Vəzifəsi  | Tarix
:----------------    | :------   | :----
Daniel J. Lickly     | Direktor, Tapşırıq Proqramı İnkişafı<br>Apollo Yönləndirmə və Naviqasiya proqramı | 28 Mart 1969
Fred H. Martin       | Colossus Layihə rəhbəri<br>Apollo Yönləndirmə və Naviqasiya Proqramı              | 28 Mart 1969
Norman E. Sears      | Direktor, Tapşırıq İnkişafı<br>Apollo Yönləndirmə və Naviqasiya Proqramı          | 28 Mart 1969
Richard H. Battin    | Direktor, Tapşırıq İnkişafı<br>Apollo Yönləndirmə və Naviqasiya Proqramı          | 28 Mart 1969
David G. Hoag        | Direktor<br>Apollo Yönləndirmə və Naviqasiya Proqramı                             | 28 Mart 1969
Ralph R. Ragan       | Direktor köməkçisi<br>Alətlər Laboratoriyası                                      | 28 Mart 1969

[CONTRACT_AND_APPROVALS.agc]:https://github.com/chrislgarry/Apollo-11/blob/master/Comanche055/CONTRACT_AND_APPROVALS.agc
[1]:https://flat.badgen.net/badge/NASA/Mission%20Overview/0B3D91
[2]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[3]:http://www.ibiblio.org/apollo/
[4]:http://web.mit.edu/museum/
[5]:http://www.ibiblio.org/apollo/ScansForConversion/Luminary099/
[6]:http://www.ibiblio.org/apollo/ScansForConversion/Comanche055/
[7]:https://github.com/chrislgarry/Apollo-11/blob/master/CONTRIBUTING.tr.md
[8]:https://github.com/rburkey2005/virtualagc
[SWH]:https://flat.badgen.net/badge/Software%20Heritage/Archive/0B3D91
[SWH_URL]:https://archive.softwareheritage.org/browse/origin/https://github.com/chrislgarry/Apollo-11/
[Comanche]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/1
[ComancheMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/1
[Luminary]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/2
[LuminaryMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/2
