# Apollo-11

[![NASA][1]][2]
[![SWH]][SWH_URL]
[![Comanche]][ComancheMilestone]
[![Luminary]][LuminaryMilestone]

🌐
[Azerbaijani][AZ],
[bahasa Indonesia][ID],
[Català][CA],
[Čeština][CZ],
[Dansk][DA],
[Deutsch][DE],
[English][EN],
[Español][ES],
[Français][FR],
[Galego][GL],
[Italiano][IT],
[Kurdî][KU],
[Lietuvių][LT],
[Mongolian][MN],
[Nederlands][NL],
[Norsk][NO],
[Polski][PL],
[Português][PT_BR],
[Română][RO],
[tiếng Việt][VI],
[Türkçe][TR],
[Ελληνικά][GR],
[Беларуская мова][BE],
[Русский][RU],
[Українська][UK],
[العربية][AR],
[فارسی][FA],
[नेपाली भाषा][NE]
[हिंदी][HI_IN],
[অসমীয়া][AS_IN],
[বাংলা][BD_BN],
[မြန်မာ][MM],
[한국어][KO_KR],
[日本語][JA],
[正體中文][ZH_TW],
[简体中文][ZH_CN]

[AR]:README.ar.md
[AS_IN]:README.as_in.md
[AZ]:README.az.md
[BD_BN]:README.bd_bn.md
[BE]:README.be.md
[CA]:README.ca.md
[CZ]:README.cz.md
[DA]:README.da.md
[DE]:README.de.md
[EN]:../README.md
[ES]:README.es.md
[FA]:README.fa.md
[FR]:README.fr.md
[GL]:README.gl.md
[GR]:README.gr.md
[HI_IN]:README.hi_in.md
[ID]:README.id.md
[IT]:README.it.md
[JA]:README.ja.md
[KO_KR]:README.ko_kr.md
[KU]:README.ku.md
[LT]:README.lt.md
[MM]:README.mm.md
[MN]:README.mn.md
[NE]:README.ne.md
[NL]:README.nl.md
[NO]:README.no.md
[PL]:README.pl.md
[PT_BR]:README.pt_br.md
[RO]:README.ro.md
[RU]:README.ru.md
[TR]:README.tr.md
[UK]:README.ua.md
[VI]:README.vi.md
[ZH_CN]:README.zh_cn.md
[ZH_TW]:README.zh_tw.md

Арыгінальны код навігацыйнай камп'ютарнай сыстэмы Apollo 11 (AGC) для Каманднага Модуля (Comanche055) і Луннага Модуля (Luminary099). Цыфраваныя карыстальнікамі [Virtual AGC][3] і [MIT Museum][4]. Мэтай гэтага рэпазіторыя з'яўляецца захоўванне арыгінальнага коду Apollo 11. Таму ўсе PR (Pull Requests) запрашаюцца для выяўлення якіх-небудзь памылак паміж аглядамі гэтага рэпазіторыя і арыгінальнымі сканамі коду [Luminary 099][5] і [Comanche 055][6], а таксама для дадзеных файлаў, якія моглі мне не дасягнуць.

## Внесак

Калі ласка, прачытайце [CONTRIBUTING.md][7] перад тым, як стварыць запыт на ўключэнне.

## Кампіляцыя

Калі вас цікавіць кампіляцыя арыгінальнага коду, паглядзіце [Virtual AGC][8].

## Прызнанне

&nbsp;         | &nbsp;
:------------- | :-----
Аўтарскія правы | Грамадскае майна
Comanche055    | Частка када для Colossus 2A, навігацыйнага камп'ютара Каманднага Модуля (CM) Apollo 11<br>`Зборка рэвізіі 055 праграмы AGC Comanche ад NASA`<br>`2021113-051. 10:28 1 крас. 1969 года`
Luminary099    | Частка када для Luminary 1A, навігацыйнага камп'ютара Луннага Модуля (LM) Apollo 11<br>`Зборка рэвізіі 001 праграмы AGC LMY99 ад NASA`<br>`2021112-061. 16:27 14 ліп. 1969 года`
Зборшчык       | yaYUL
Кантакт        | Рон Буркі <info@sandroid.org>
Сайт           | www.ibiblio.org/apollo
Цыфраванне     | Гэты код быў сканіраваны або інакш адаптаваны з цыфравых выяваў на хардкопы ад Музея MIT. Цыфраванне праводзіў Пол Фельд, і зараджана Дэбарой Дуглас з Музея. Вялікі дзякуй ім абодвум.

### Кантракт і Згадкі

*Узяты з [CONTRACT_AND_APPROVALS.agc]*

Гэтая праграма AGC таксама вядомая як Colossus 2A.

Гэтая праграма прызначаная для выкарыстання ў Камандным Модулі згодна з апісаннем у справаздачы `R-577`. Гэтая праграма была падрыхтаваная ў межах праекта DSR `55-23870`, які фінансуецца Цэнтрам палётных апаратаў Нацыянальнага адміністрацыі па аэранаўтыцы і касманавтыцы праз кантракт `NAS 9-4065` з Інстытутам інструментальнай лабараторыі Массачусетскага тэхналягічнага інстытуту, Кембрыдж, Массачусетс.

Пададзена          | Роля | Дата
:------------------ | :--- | :---
Маргарэт Г. Гамільтан | Кіраўнік Праграміровання "Калосус"<br>Навігацыя і навігацыя Apollo | 28 сак. 1969 года

Зацверджаная       | Роля | Дата
:------------------ | :--- | :---
Даніэль Дж. Ліклі  | Дырэктар, Праграма Распрацоўкі Місій<br>Праграма Навігацыі і навігацыі Apollo | 28 сак. 1969 года
Фред Г. Мартын      | Кіраўнік Праграмы "Калосус"<br>Праграма Навігацыі і навігацыі Apollo | 28 сак. 1969 года
Нарман Э. Сірс      | Дырэктар Праграмы Распрацоўкі Місій<br>Праграма Навігацыі і навігацыі Apollo | 28 сак. 1969 года
Рычард Г. Баттін    | Дырэктар Праграмы Распрацоўкі Місій<br>Праграма Навігацыі і навігацыі Apollo | 28 сак. 1969 года
Давід Дж. Хоаг      | Дырэктар<br>Праграма Навігацыі і навігацыі Apollo | 28 сак. 1969 года
Ральф Р. Рэган      | Заместнік Дырэктара<br>Інструментальная лабараторыя | 28 сак. 1969 года

[CONTRACT_AND_APPROVALS.agc]:https://github.com/chrislgarry/Apollo-11/blob/master/Comanche055/CONTRACT_AND_APPROVALS.agc
[1]:https://flat.badgen.net/badge/NASA/Mission%20Overview/0B3D91
[2]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[3]:http://www.ibiblio.org/apollo/
[4]:http://web.mit.edu/museum/
[5]:http://www.ibiblio.org/apollo/ScansForConversion/Luminary099/
[6]:http://www.ibiblio.org/apollo/ScansForConversion/Comanche055/
[7]:https://github.com/chrislgarry/Apollo-11/blob/master/CONTRIBUTING.md
[8]:https://github.com/rburkey2005/virtualagc
[SWH]:https://flat.badgen.net/badge/Software%20Heritage/Archive/0B3D91
[SWH_URL]:https://archive.softwareheritage.org/browse/origin/https://github.com/chrislgarry/Apollo-11/
[Comanche]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/1
[ComancheMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/1
[Luminary]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/2
[LuminaryMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/2
