# Apollo-11

[![NASA][1]][2]
[![SWH]][SWH_URL]
[![Comanche]][ComancheMilestone]
[![Luminary]][LuminaryMilestone]

🌐
[Azerbaijani][AZ],
[bahasa Indonesia][ID],
[Català][CA],
[Čeština][CZ],
[Dansk][DA],
[Deutsch][DE],
[English][EN],
[Español][ES],
[Français][FR],
[Galego][GL],
[Italiano][IT],
[Kurdî][KU],
[Lietuvių][LT],
[Mongolian][MN],
[Nederlands][NL],
[Norsk][NO],
[Polski][PL],
[Português][PT_BR],
[Română][RO],
[tiếng Việt][VI],
[Türkçe][TR],
[Ελληνικά][GR],
[Беларуская мова][BE],
[Русский][RU],
[Українська][UK],
[العربية][AR],
[فارسی][FA],
[नेपाली भाषा][NE]
[हिंदी][HI_IN],
[অসমীয়া][AS_IN],
[বাংলা][BD_BN],
[မြန်မာ][MM],
[한국어][KO_KR],
[日本語][JA],
[正體中文][ZH_TW],
[简体中文][ZH_CN]

[AR]:README.ar.md
[AS_IN]:README.as_in.md
[AZ]:README.az.md
[BD_BN]:README.bd_bn.md
[BE]:README.be.md
[CA]:README.ca.md
[CZ]:README.cz.md
[DA]:README.da.md
[DE]:README.de.md
[EN]:../README.md
[ES]:README.es.md
[FA]:README.fa.md
[FR]:README.fr.md
[GL]:README.gl.md
[GR]:README.gr.md
[HI_IN]:README.hi_in.md
[ID]:README.id.md
[IT]:README.it.md
[JA]:README.ja.md
[KO_KR]:README.ko_kr.md
[KU]:README.ku.md
[LT]:README.lt.md
[MM]:README.mm.md
[MN]:README.mn.md
[NE]:README.ne.md
[NL]:README.nl.md
[NO]:README.no.md
[PL]:README.pl.md
[PT_BR]:README.pt_br.md
[RO]:README.ro.md
[RU]:README.ru.md
[TR]:README.tr.md
[UK]:README.ua.md
[VI]:README.vi.md
[ZH_CN]:README.zh_cn.md
[ZH_TW]:README.zh_tw.md

Originální zdrojové kódy navigačního počítače (AGC) Apolla 11 pro Velitelský Modul (Comanche055) a Lunární Modul (Luminary099). Digitalizováno s pomocí [Virtual AGC][3] a [MIT Museum][4]. Cílem repozitáře je udržovat původní zdrojové kódy Apolla 11. Vítáme všechny PR s úpravami problémů identifikovaných mezi přepisy v tomto repozitáři a originálními skeny pro [Luminary 099][5] a [Comanche 055][6], stejně jako soubory které mohly být přehlédnuty.

## Přispívání

Před otevřením pull requestu si prosím přečtěte [CONTRIBUTING.cz.md][7]

## Compiling

Zajímá-li vás kompilace původního zdrojového kódu, navštivte [Virtual AGC][8].

## Attribution

&nbsp;         | &nbsp;
:------------- | :-----
Copyright      | Veřejná doména
Comanche055    | Součást zdrojového kódu pro Colossus 2A, Navigační Počítač (AGC) Velitelského Modulu (CM) pro Apollo 11<br>`Assemble revision 055 of AGC program Comanche by NASA`<br>`2021113-051. 10:28 APR. 1, 1969`
Luminary099    | Součást zdrojového kódu pro Luminary 1A, Navigační Počítač (AGC) Lunárního Modulu (LM) pro Apollo 11<br>`Assemble revision 001 of AGC program LMY99 by NASA`<br>`2021112-061. 16:27 JUL. 14, 1969`
Assembler      | yaYUL
Contact        | Ron Burkey <info@sandroid.org>
Website        | www.ibiblio.org/apollo
Digitalisation | Tento zdrojový kód byl přepsán či jinak adaptován z digitalizované verze papírových materiálů z MIT Muzea. Digitalizaci provedl Paul Fjeld a zajistila Deborah Douglas z MIT Muzea. Oběma děkujeme.

### Smlouva a schválení

*Výňatek z [CONTRACT_AND_APPROVALS.agc]*

Tento AGC program bude nazýván také Colossus 2A.

Tento program je určen k použití v CM podle specifikací ve zprávě `R-577`. Tento program byl připraven v rámci DSR projektu `55-23870`, sponzorovaného Centrem kosmických lodí s posádkou Národního úřadu pro letectví a vesmír skrze smlouvu `NAS 9-4065` s Laboratoří instrumentace, Massachusetts Institute of Technology, Cambridge, Mass.

Podal       | Role | Datum
:------------------- | :--- | :---
Margaret H. Hamilton | Vedoucí programátor projektu Colossus<br>Navádění a navigace Apollo | 28 Března 69

Schválil       | Role | Datum
:---------------- | :--- | :---
Daniel J. Lickly  | Ředitel, Vývoj programů misí<br>Program navádění a navigace Apollo | 28. Března 1969
Fred H. Martin    | Manažer projektu Colossus<br>Program navádění a navigace Apollo | 28. Března 1969
Norman E. Sears   | Ředitel, Vývoj misí<br>Program navádění a navigace Apollo | 28. Března 1969
Richard H. Battin | Ředitel, Vývoj misí<br>Program navádění a navigace Apollo | 28. Března 1969
David G. Hoag     | Ředitel<br>Program navádění a navigace Apollo | 28. Března 1969
Ralph R. Ragan    | Zástupce ředitele<br>Laboratoř instrumentace | 28. Března 1969

[CONTRACT_AND_APPROVALS.agc]:https://github.com/chrislgarry/Apollo-11/blob/master/Comanche055/CONTRACT_AND_APPROVALS.agc
[1]:https://flat.badgen.net/badge/NASA/Mission%20Overview/0B3D91
[2]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[3]:http://www.ibiblio.org/apollo/
[4]:http://web.mit.edu/museum/
[5]:http://www.ibiblio.org/apollo/ScansForConversion/Luminary099/
[6]:http://www.ibiblio.org/apollo/ScansForConversion/Comanche055/
[7]:https://github.com/chrislgarry/Apollo-11/blob/master/CONTRIBUTING.cz.md
[8]:https://github.com/rburkey2005/virtualagc
[SWH]:https://flat.badgen.net/badge/Software%20Heritage/Archive/0B3D91
[SWH_URL]:https://archive.softwareheritage.org/browse/origin/https://github.com/chrislgarry/Apollo-11/
[Comanche]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/1
[ComancheMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/1
[Luminary]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/2
[LuminaryMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/2
