# Apollo-11

[![NASA][1]][2]
[![SWH]][SWH_URL]
[![Comanche]][ComancheMilestone]
[![Luminary]][LuminaryMilestone]

🌐
[Azerbaijani][AZ],
[bahasa Indonesia][ID],
[Català][CA],
[Čeština][CZ],
[Dansk][DA],
[Deutsch][DE],
[English][EN],
[Español][ES],
[Français][FR],
[Galego][GL],
[Italiano][IT],
[Kurdî][KU],
[Lietuvių][LT],
[Mongolian][MN],
[Nederlands][NL],
[Norsk][NO],
[Polski][PL],
[Português][PT_BR],
[Română][RO],
[tiếng Việt][VI],
[Türkçe][TR],
[Ελληνικά][GR],
[Беларуская мова][BE],
[Русский][RU],
[Українська][UK],
[العربية][AR],
[فارسی][FA],
[नेपाली भाषा][NE]
[हिंदी][HI_IN],
[অসমীয়া][AS_IN],
[বাংলা][BD_BN],
[မြန်မာ][MM],
[한국어][KO_KR],
[日本語][JA],
[正體中文][ZH_TW],
[简体中文][ZH_CN]

[AR]:README.ar.md
[AS_IN]:README.as_in.md
[AZ]:README.az.md
[BD_BN]:README.bd_bn.md
[BE]:README.be.md
[CA]:README.ca.md
[CZ]:README.cz.md
[DA]:README.da.md
[DE]:README.de.md
[EN]:../README.md
[ES]:README.es.md
[FA]:README.fa.md
[FR]:README.fr.md
[GL]:README.gl.md
[GR]:README.gr.md
[HI_IN]:README.hi_in.md
[ID]:README.id.md
[IT]:README.it.md
[JA]:README.ja.md
[KO_KR]:README.ko_kr.md
[KU]:README.ku.md
[LT]:README.lt.md
[MM]:README.mm.md
[MN]:README.mn.md
[NE]:README.ne.md
[NL]:README.nl.md
[NO]:README.no.md
[PL]:README.pl.md
[PT_BR]:README.pt_br.md
[RO]:README.ro.md
[RU]:README.ru.md
[TR]:README.tr.md
[UK]:README.ua.md
[VI]:README.vi.md
[ZH_CN]:README.zh_cn.md
[ZH_TW]:README.zh_tw.md

Original Apollo 11 guidance computer (AGC) kildekode til Command Module (Comanche055) og Lunar Module (Luminary099). Digitaliseret af folkene på [Virtual AGC][3] og [MIT Museum][4]. Målet er at være en repo for den originale Apollo 11-kildekode. Som sådan er PR'er velkomne for ethvert problem, der er identificeret mellem transskriptionerne i dette repo og de originale kildescanninger for [Luminary 099][5] og [Comanche 055][6], såvel som alle filer, jeg kan have savnet.

## Bidrag

Venligst læs [CONTRIBUTING.md][7] før du åbner en pull-request.

## Kompilering

Hvis du er interesseret i at kompilere den originale kildekode, så venligst
se [Virtuel AGC][8].

## Tilskrivning

&nbsp;         | &nbsp;
:------------- | :-----
Ophavsret      | Offentligt domæne
Comanche055    | En del af kildekoden til Colossus 2A, Command Module's (CM) Apollo Guidance Computer (AGC) til Apollo 11<br>`Assemble revision 055 of AGC program Comanche by NASA`<br>`2021113-051. 10:28 APR. 1, 1969`
Luminary099    | En del af kildekoden til Luminary 1A, Lunar Module's (LM) Apollo Guidance Computer (AGC) til Apollo 11<br>`Assemble revision 001 of AGC program LMY99 by NASA`<br>`2021112-061. 16:27 JUL. 14, 1969`
Samler      | yaYUL
Kontakt        | Ron Burkey <info@sandroid.org>
Hjemmeside        | www.ibiblio.org/apollo
Digitalisering | Denne kildekode er blevet transskriberet eller på anden måde tilpasset fra digitaliserede billeder af en papirkopi fra MIT Museum. Digitaliseringen blev udført af Paul Fjeld, og arrangeret af Deborah Douglas fra Museet. Mange tak til begge.

### Kontrakt og godkendelser

*Nedarvet fra [CONTRACT_AND_APPROVALS.agc]*

Dette AGC-program vil også blive omtalt som Colossus 2A.

Dette program er beregnet til brug i CM som specificeret i rapporten "R-577". Dette program blev udarbejdet under DSR-projektet `55-23870`, sponsoreret af Manned Spacecraft Center fra The National Aeronautics and Space Administration gennem kontrakten `NAS 9-4065` med Instrumentation Laboratory, Massachusetts Institute of Technology, Cambridge, Mass.

Indsendt af          | Rolle | Dato
:------------------- | :--- | :---
Margaret H. Hamilton | Colossus-programmeringsleder<br>Apollo-vejledning og -navigation | 28 Mar 69

Godkendt af       | Role | Date
:---------------- | :--- | :---
Daniel J. Lickly  | Direktør, udvikling af missionsprogram<br>Apollo vejlednings- og navigationsprogram | 28 Mar 69
Fred H. Martin    | Colossus-projektleder<br>Apollo-vejlednings- og navigationsprogram | 28 Mar 69
Norman E. Sears   | Direktør, Missionsudvikling<br>Apollo vejlednings- og navigationsprogram | 28 Mar 69
Richard H. Battin | Direktør, Missionsudvikling<br>Apollo vejlednings- og navigationsprogram | 28 Mar 69
David G. Hoag     | Direktør<br>Apollo vejlednings- og navigationsprogram | 28 Mar 69
Ralph R. Ragan    | Vicedirektør<br>Instrumentlaboratoriet | 28 Mar 69

[CONTRACT_AND_APPROVALS.agc]:https://github.com/chrislgarry/Apollo-11/blob/master/Comanche055/CONTRACT_AND_APPROVALS.agc
[1]:https://flat.badgen.net/badge/NASA/Mission%20Overview/0B3D91
[2]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[3]:http://www.ibiblio.org/apollo/
[4]:http://web.mit.edu/museum/
[5]:http://www.ibiblio.org/apollo/ScansForConversion/Luminary099/
[6]:http://www.ibiblio.org/apollo/ScansForConversion/Comanche055/
[7]:https://github.com/chrislgarry/Apollo-11/blob/master/CONTRIBUTING.da.md
[8]:https://github.com/rburkey2005/virtualagc
[SWH]:https://flat.badgen.net/badge/Software%20Heritage/Archive/0B3D91
[SWH_URL]:https://archive.softwareheritage.org/browse/origin/https://github.com/chrislgarry/Apollo-11/
[Comanche]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/1
[ComancheMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/1
[Luminary]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/2
[LuminaryMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/2
