# Apollo 11

[![NASA][1]][2]
[![SWH]][SWH_URL]
[![Comanche]][ComancheMilestone]
[![Luminary]][LuminaryMilestone]

🌐
[Azerbaijani][AZ],
[bahasa Indonesia][ID],
[Català][CA],
[Čeština][CZ],
[Dansk][DA],
[Deutsch][DE],
[English][EN],
[Español][ES],
[Français][FR],
[Galego][GL],
[Italiano][IT],
[Kurdî][KU],
[Lietuvių][LT],
[Mongolian][MN],
[Nederlands][NL],
[Norsk][NO],
[Polski][PL],
[Português][PT_BR],
[Română][RO],
[tiếng Việt][VI],
[Türkçe][TR],
[Ελληνικά][GR],
[Беларуская мова][BE],
[Русский][RU],
[Українська][UK],
[العربية][AR],
[فارسی][FA],
[नेपाली भाषा][NE]
[हिंदी][HI_IN],
[অসমীয়া][AS_IN],
[বাংলা][BD_BN],
[မြန်မာ][MM],
[한국어][KO_KR],
[日本語][JA],
[正體中文][ZH_TW],
[简体中文][ZH_CN]

[AR]:README.ar.md
[AS_IN]:README.as_in.md
[AZ]:README.az.md
[BD_BN]:README.bd_bn.md
[BE]:README.be.md
[CA]:README.ca.md
[CZ]:README.cz.md
[DA]:README.da.md
[DE]:README.de.md
[EN]:../README.md
[ES]:README.es.md
[FA]:README.fa.md
[FR]:README.fr.md
[GL]:README.gl.md
[GR]:README.gr.md
[HI_IN]:README.hi_in.md
[ID]:README.id.md
[IT]:README.it.md
[JA]:README.ja.md
[KO_KR]:README.ko_kr.md
[KU]:README.ku.md
[LT]:README.lt.md
[MM]:README.mm.md
[MN]:README.mn.md
[NE]:README.ne.md
[NL]:README.nl.md
[NO]:README.no.md
[PL]:README.pl.md
[PT_BR]:README.pt_br.md
[RO]:README.ro.md
[RU]:README.ru.md
[TR]:README.tr.md
[UK]:README.ua.md
[VI]:README.vi.md
[ZH_CN]:README.zh_cn.md
[ZH_TW]:README.zh_tw.md

Código fonte orixinal do ordenador guía do Apollo 11 (AGC) para o módulo de comando (Comanche055) e o módulo lunar (Luminary099). Dixitalizado polos rapaces de [Virtual AGC][3] y [o museo do MIT][4]. O obxetivo é ser un repositorio do código fonte orixinal do Apollo 11. Deste modo, serán benvidos os PRs relacionados coas transcricións neste repositorio e os escaneos do código fonte orixinal para o [Luminary 099][5] e o [Comanche 055][6], así como calquera ficheiro que esquecera.

## Cómo contribuír

Por favor, lea [CONTRIBUTING.gl.md][7] antes de abrir un pull request.

## Compilar

Se estás interesado en compilar o código fonte orixinal, bótalle un ollo a [Virtual AGC][8].

## Atribucións

&nbsp;            | &nbsp;
:---------------- | :-----
Dereitos de autor | Dominio público
Comanche055       | Parte do código fonte do Colossus 2A, o ordenador guía Apollo (AGC) do Módulo de Comando (CM) para o Apollo 11<br>`Assemble revision 055 of AGC program Comanche by NASA`<br>`2021113-051. 10:28 APR. 1, 1969`
Luminary099       | Parte do código fonte do Luminary 1A, o ordenador guía Apollo (AGC) do Módulo Lunar (LM) para o Apollo 11<br>`Assemble revision 001 of AGC program LMY99 by NASA`<br>`2021112-061. 16:27 JUL. 14, 1969`
Ensamblador       | yaYUL
Contacto          | Ron Burkey <info@sandroid.org>
Páxina Web        | www.ibiblio.org/apollo
Dixitalización    | Este código fonte transcribiuse ou adaptouse dende imaxes dixitalizadas dunha copia en papel presente no museo do MIT. Os empregados do museo Paul Fjeld e Deborah Douglas realizaron a dixitalización e a xestión das imaxes, respectivamente. Moitas grazas a ambos os dous.

### Contratos e aprobacións

*Derivado de [CONTRACT_AND_APPROVALS.agc]*

Este programa tamén debe chamarse Colossus 2A.

Este programa foi creado para ser empregado no CM tal e como especifícase no informe `R-577`. Este programa preparouse no proxecto `55-23870`, patrocinado polo Centro de Naves Tripuladas do Centro Nacional de Aeronáutica e Administración Espacial a través do contrato `NAS 9-4065` do Laboratorio de Instrumentación do Instituto de Tecnoloxía de Massachussets, Cambridge, Mass.

Enviado por          | Rol | Data
:------------------- | :-- | :----
Margaret H. Hamilton | Líder de programación de Colossus <br> Apollo Guidance and Navigation | 28 mar 69

Aprobado por      | Rol | Data
:---------------- | :-- | :----
Daniel J. Lickly  | Director, Desenvolvemento do programa de misión <br> Programa de orientación e navegación Apollo | 28 mar 69
Fred H. Martin    | Colossus Project Manager <br> Programa de orientación e navegación Apollo | 28 mar 69
Norman E. Sears   | Director do Desenvolvemento de Misión <br> Programa de Orientación e Navegación Apollo | 28 mar 69
Richard H. Battin | Director do Desenvolvemento de Misión <br> Programa de Orientación e Navegación Apollo | 28 mar 69
David G. Hoag     | Director do Programa de Orientación e Navegación Apollo | 28 mar 69
Ralph R. Ragan    | Subdirector do Laboratorio de Instrumentación | 28 mar 69

[CONTRACT_AND_APPROVALS.agc]:https://github.com/chrislgarry/Apollo-11/blob/master/Comanche055/CONTRACT_AND_APPROVALS.agc
[1]:https://flat.badgen.net/badge/NASA/Mission%20Overview/0B3D91
[2]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[3]:http://www.ibiblio.org/apollo/
[4]:http://web.mit.edu/museum/
[5]:http://www.ibiblio.org/apollo/ScansForConversion/Luminary099/
[6]:http://www.ibiblio.org/apollo/ScansForConversion/Comanche055/
[7]:https://github.com/chrislgarry/Apollo-11/blob/master/CONTRIBUTING.gl.md
[8]:https://github.com/rburkey2005/virtualagc
[SWH]:https://flat.badgen.net/badge/Software%20Heritage/Archive/0B3D91
[SWH_URL]:https://archive.softwareheritage.org/browse/origin/https://github.com/chrislgarry/Apollo-11/
[Comanche]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/1
[ComancheMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/1
[Luminary]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/2
[LuminaryMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/2
