# Apollo-11

[![NASA][1]][2]
[![SWH]][SWH_URL]
[![Comanche]][ComancheMilestone]
[![Luminary]][LuminaryMilestone]

🌐
[Azerbaijani][AZ],
[bahasa Indonesia][ID],
[Català][CA],
[Čeština][CZ],
[Dansk][DA],
[Deutsch][DE],
[English][EN],
[Español][ES],
[Français][FR],
[Galego][GL],
[Italiano][IT],
[Kurdî][KU],
[Lietuvių][LT],
[Mongolian][MN],
[Nederlands][NL],
[Norsk][NO],
[Polski][PL],
[Português][PT_BR],
[Română][RO],
[tiếng Việt][VI],
[Türkçe][TR],
[Ελληνικά][GR],
[Беларуская мова][BE],
[Русский][RU],
[Українська][UK],
[العربية][AR],
[فارسی][FA],
[नेपाली भाषा][NE]
[हिंदी][HI_IN],
[অসমীয়া][AS_IN],
[বাংলা][BD_BN],
[မြန်မာ][MM],
[한국어][KO_KR],
[日本語][JA],
[正體中文][ZH_TW],
[简体中文][ZH_CN]

[AR]:README.ar.md
[AS_IN]:README.as_in.md
[AZ]:README.az.md
[BD_BN]:README.bd_bn.md
[BE]:README.be.md
[CA]:README.ca.md
[CZ]:README.cz.md
[DA]:README.da.md
[DE]:README.de.md
[EN]:../README.md
[ES]:README.es.md
[FA]:README.fa.md
[FR]:README.fr.md
[GL]:README.gl.md
[GR]:README.gr.md
[HI_IN]:README.hi_in.md
[ID]:README.id.md
[IT]:README.it.md
[JA]:README.ja.md
[KO_KR]:README.ko_kr.md
[KU]:README.ku.md
[LT]:README.lt.md
[MM]:README.mm.md
[MN]:README.mn.md
[NE]:README.ne.md
[NL]:README.nl.md
[NO]:README.no.md
[PL]:README.pl.md
[PT_BR]:README.pt_br.md
[RO]:README.ro.md
[RU]:README.ru.md
[TR]:README.tr.md
[UK]:README.ua.md
[VI]:README.vi.md
[ZH_CN]:README.zh_cn.md
[ZH_TW]:README.zh_tw.md

Código fonte do Computador de Orientação da Apollo 11 (AGC) para o Módulo de Comando (Comanche055) e Módulo Lunar (Luminary099). Digitalizado pelo pessoal da [Virtual AGC][3] e [Museu do MIT][4]. O objetivo é ser um repositório para o código fonte original da Apollo 11. Como tal, os PRs são bem-vindos para quaisquer problemas identificados entre as transcrições neste repositório e as verificações do código fonte original para [Luminary 099][5] e [Comanche 055][6], bem como quaisquer arquivos que eu possa ter perdido.

## Contribuindo

Leia [CONTRIBUTING.pt_br.md][7] antes de abrir um pull request.

## Compilando

Se você estiver interessado em compilar o código-fonte original, faça o check-out [Virtual AGC][8].

## Atribuição

&nbsp;            | &nbsp;
:---------------- | :-----
Direitos Autorais | Domínio público.
Comanche055       | Parte do código-fonte do Colossus 2A, o Módulo de Comando (CM) do Computador de Orientação Apollo (AGC) para a Apollo 11<br>`Assemble revision 055 of AGC program Comanche by NASA`<br>`2021113-051. 10:28 APR. 1, 1969`
Luminary099       | Parte do código-fonte do Luminary 1A, Módulo Lunar (LM) do Computador de Orientação Apollo (AGC) para a Apollo 11<br>`Assemble revision 001 of AGC program LMY99 by NASA`<br>`2021112-061. 16:27 JUL. 14, 1969`
Assembler         | yaYUL
Contato           | Ron Burkey <info@sandroid.org>
Website           | www.ibiblio.org/apollo
Digitalização     | Este código fonte foi transcrito ou adaptado de outra forma a partir de imagens de uma cópia impressa do Museu do MIT. A digitalização foi realizada por Paul Fjeld, e organizado por Deborah Douglas do Museu. Muitos agradecimentos a ambos.

### Contrato e Aprovação

*Derivado de [CONTRACT_AND_APPROVALS.agc]*

Este programa AGC também deve ser referido como Colossus 2A.

Este programa é destinado ao uso no CM, conforme especificado no relatório `R-577`. Este programa foi preparado sob o projeto DSR `55-23870`, patrocinado pelo Centro de Naves Espaciais Tripuladas da Administração Nacional da Aeronáutica e do Espaço - NASA - através do contrato `NAS 9-4065` com o Laboratório de Instrumentação, Instituto de Tecnologia de Massachusetts - MIT, Cambridge, Mass.

Enviado por          | Função | Data
:------------------- | :----- | :---
Margaret H. Hamilton | Líder de Programação Colossus<br>Orientação e Navegação da Apollo | 28 Mar 69

Aprovado por      | Função | Data
:---------------- | :----- | :---
Daniel J. Lickly  | Diretor, Programa Desenvolvimento da Missão<br>Programa de Orientação e Navegação da Apollo | 28 Mar 69
Fred H. Martin    | Gestor de Projeto Colossus<br>Programa de Orientação e Navegação da Apollo | 28 Mar 69
Norman E. Sears   | Diretor, Desenvolvimento da Missão<br>Programa de Orientação e Navegação da Apollo | 28 Mar 69
Richard H. Battin | Diretor, Desenvolvimento da Missão<br>Programa de Orientação e Navegação da Apollo | 28 Mar 69
David G. Hoag     | Diretor<br>Programa de Orientação e Navegação da Apollo | 28 Mar 69
Ralph R. Ragan    | Vice Diretor<br>Laboratório de Instrumentação | 28 Mar 69

[CONTRACT_AND_APPROVALS.agc]:https://github.com/chrislgarry/Apollo-11/blob/master/Comanche055/CONTRACT_AND_APPROVALS.agc
[1]:https://flat.badgen.net/badge/NASA/Mission%20Overview/0B3D91
[2]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[3]:http://www.ibiblio.org/apollo/
[4]:http://web.mit.edu/museum/
[5]:http://www.ibiblio.org/apollo/ScansForConversion/Luminary099/
[6]:http://www.ibiblio.org/apollo/ScansForConversion/Comanche055/
[7]:https://github.com/chrislgarry/Apollo-11/blob/master/CONTRIBUTING.pt_br.md
[8]:https://github.com/rburkey2005/virtualagc
[SWH]:https://flat.badgen.net/badge/Software%20Heritage/Archive/0B3D91
[SWH_URL]:https://archive.softwareheritage.org/browse/origin/https://github.com/chrislgarry/Apollo-11/
[Comanche]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/1
[ComancheMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/1
[Luminary]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/2
[LuminaryMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/2
