# Аполлон-11

[![NASA][1]][2]
[![SWH]][SWH_URL]
[![Comanche]][ComancheMilestone]
[![Luminary]][LuminaryMilestone]

🌐
[Azerbaijani][AZ],
[bahasa Indonesia][ID],
[Català][CA],
[Čeština][CZ],
[Dansk][DA],
[Deutsch][DE],
[English][EN],
[Español][ES],
[Français][FR],
[Galego][GL],
[Italiano][IT],
[Kurdî][KU],
[Lietuvių][LT],
[Mongolian][MN],
[Nederlands][NL],
[Norsk][NO],
[Polski][PL],
[Português][PT_BR],
[Română][RO],
[tiếng Việt][VI],
[Türkçe][TR],
[Ελληνικά][GR],
[Беларуская мова][BE],
[Русский][RU],
[Українська][UK],
[العربية][AR],
[فارسی][FA],
[नेपाली भाषा][NE]
[हिंदी][HI_IN],
[অসমীয়া][AS_IN],
[বাংলা][BD_BN],
[မြန်မာ][MM],
[한국어][KO_KR],
[日本語][JA],
[正體中文][ZH_TW],
[简体中文][ZH_CN]

[AR]:README.ar.md
[AS_IN]:README.as_in.md
[AZ]:README.az.md
[BD_BN]:README.bd_bn.md
[BE]:README.be.md
[CA]:README.ca.md
[CZ]:README.cz.md
[DA]:README.da.md
[DE]:README.de.md
[EN]:../README.md
[ES]:README.es.md
[FA]:README.fa.md
[FR]:README.fr.md
[GL]:README.gl.md
[GR]:README.gr.md
[HI_IN]:README.hi_in.md
[ID]:README.id.md
[IT]:README.it.md
[JA]:README.ja.md
[KO_KR]:README.ko_kr.md
[KU]:README.ku.md
[LT]:README.lt.md
[MM]:README.mm.md
[MN]:README.mn.md
[NE]:README.ne.md
[NL]:README.nl.md
[NO]:README.no.md
[PL]:README.pl.md
[PT_BR]:README.pt_br.md
[RO]:README.ro.md
[RU]:README.ru.md
[TR]:README.tr.md
[UK]:README.ua.md
[VI]:README.vi.md
[ZH_CN]:README.zh_cn.md
[ZH_TW]:README.zh_tw.md

Оригінальний вихідний код бортового навігаційного комп’ютера Аполлон 11 (AGC) для командного модулю (Comanche055) і місячного модулю (Luminary099). Оцифровано співробітниками з [Virtual AGC][3] та [MIT Museum][4]. Мета полягає у створенні репозиторію для оригінального вихідного коду Аполлону 11. Таким чином, PR вітаються щодо будь-яких проблем, виявлених між розшифровками в цьому сховищі та сканованим оригінальними вихідним кодом для [Luminary 099][5] та [Comanche 055][6], а також будь-яких файлів, які я можу пропустити.

## Внесок

Будь ласка, прочитайте [CONTRIBUTING.md][7] перш ніж відкривати запит на pull request.

## Компіляція

Якщо ви зацікавлені в компіляції оригінального вихідного коду, перевірте [Virtual AGC][8].

## Атрибути

&nbsp;          | &nbsp;
:-------------- | :-----
Авторське право | Суспільне надбання
Comanche055     | Частина вихідного коду для Colossus 2A, командного модулю (CM) комп’ютера керування Apollo Guidance Computer (AGC) для Аполлону 11<br>`Збірна версія 055 програми AGC Comanche від NASA`<br>`2021113-051. 10:28 APR. 1, 1969`
Luminary099     | Частина вихідного коду для 1A, місячного модулю (LM) комп’ютера керування Apollo Guidance Computer (AGC) для Аполлону 11<br>`Збірна версія 001 програми AGC LMY99 від NASA`<br>`2021112-061. 16:27 JUL. 14, 1969`
Ассемблер       | yaYUL
Контакт         | Ron Burkey <info@sandroid.org>
Вебсайт         | www.ibiblio.org/apollo
Оцифрування     | Цей вихідний код було переписано або іншим чином адаптовано з оцифрованих зображень друкованої копії з Музею MIT. Оцифровку виконав Paul Fjeld, а організувала Deborah Douglas з Музею. Велика подяка обом.

### Контракт і погодження

*Отримано з [CONTRACT_AND_APPROVALS.agc]*

Ця програма AGC також має назву Colossus 2A.

Ця програма призначена для використання у командному модулі (CM), як зазначено у звіті `R-577`. Її було підготовано в рамках проекту DSR `55-23870`, який спонсорується Центром пілотованих космічних кораблів Національного управління з аеронавтики та дослідження космічного простору за контрактом `NAS 9-4065` спільно із Лабораторією приладобудування Массачусетського технологічного інституту, Кембридж, Массачусетс.

Надано               | Роль | Дата
:------------------- | :--- | :---
Margaret H. Hamilton | Керівниця програмування Colossus <br>Навігація та орієнтування Аполлону | 28 Бер 69

Затверджено       | Роль | Дата
:---------------- | :--- | :---
Daniel J. Lickly  | Директор, Розробка програми місії<br>Програма навігації та орієнтування Аполлону | 28 Бер 69
Fred H. Martin    | Керівник проекту Colossus <br>Програма навігації та орієнтування Аполлону | 28 Бер 69
Norman E. Sears   | Директор, розробка місії<br>Програма навігації та орієнтування Аполлону | 28 Бер 69
Richard H. Battin | Директор, розробка місії<br>Програма навігації та орієнтування Аполлону | 28 Бер 69
David G. Hoag     | Директор<br>Програма навігації та орієнтування Аполлону | 28 Бер 69
Ralph R. Ragan    | Заступник директора<br>Лабораторія приладобудування | 28 Бер 69

[CONTRACT_AND_APPROVALS.agc]:https://github.com/chrislgarry/Apollo-11/blob/master/Comanche055/CONTRACT_AND_APPROVALS.agc
[1]:https://flat.badgen.net/badge/NASA/Mission%20Overview/0B3D91
[2]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[3]:http://www.ibiblio.org/apollo/
[4]:http://web.mit.edu/museum/
[5]:http://www.ibiblio.org/apollo/ScansForConversion/Luminary099/
[6]:http://www.ibiblio.org/apollo/ScansForConversion/Comanche055/
[7]:https://github.com/chrislgarry/Apollo-11/blob/master/CONTRIBUTING.md
[8]:https://github.com/rburkey2005/virtualagc
[SWH]:https://flat.badgen.net/badge/Software%20Heritage/Archive/0B3D91
[SWH_URL]:https://archive.softwareheritage.org/browse/origin/https://github.com/chrislgarry/Apollo-11/
[Comanche]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/1
[ComancheMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/1
[Luminary]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/2
[LuminaryMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/2
