# Apollo-11

[![NASA][1]][2]
[![SWH]][SWH_URL]
[![Comanche]][ComancheMilestone]
[![Luminary]][LuminaryMilestone]

🌐
[Azerbaijani][AZ],
[bahasa Indonesia][ID],
[Català][CA],
[Čeština][CZ],
[Dansk][DA],
[Deutsch][DE],
[English][EN],
[Español][ES],
[Français][FR],
[Galego][GL],
[Italiano][IT],
[Kurdî][KU],
[Lietuvių][LT],
[Mongolian][MN],
[Nederlands][NL],
[Norsk][NO],
[Polski][PL],
[Português][PT_BR],
[Română][RO],
[tiếng Việt][VI],
[Türkçe][TR],
[Ελληνικά][GR],
[Беларуская мова][BE],
[Русский][RU],
[Українська][UK],
[العربية][AR],
[فارسی][FA],
[नेपाली भाषा][NE]
[हिंदी][HI_IN],
[অসমীয়া][AS_IN],
[বাংলা][BD_BN],
[မြန်မာ][MM],
[한국어][KO_KR],
[日本語][JA],
[正體中文][ZH_TW],
[简体中文][ZH_CN]

[AR]:README.ar.md
[AS_IN]:README.as_in.md
[AZ]:README.az.md
[BD_BN]:README.bd_bn.md
[BE]:README.be.md
[CA]:README.ca.md
[CZ]:README.cz.md
[DA]:README.da.md
[DE]:README.de.md
[EN]:../README.md
[ES]:README.es.md
[FA]:README.fa.md
[FR]:README.fr.md
[GL]:README.gl.md
[GR]:README.gr.md
[HI_IN]:README.hi_in.md
[ID]:README.id.md
[IT]:README.it.md
[JA]:README.ja.md
[KO_KR]:README.ko_kr.md
[KU]:README.ku.md
[LT]:README.lt.md
[MM]:README.mm.md
[MN]:README.mn.md
[NE]:README.ne.md
[NL]:README.nl.md
[NO]:README.no.md
[PL]:README.pl.md
[PT_BR]:README.pt_br.md
[RO]:README.ro.md
[RU]:README.ru.md
[TR]:README.tr.md
[UK]:README.ua.md
[VI]:README.vi.md
[ZH_CN]:README.zh_cn.md
[ZH_TW]:README.zh_tw.md

Mã nguồn của máy tính hướng dẫn Apollo 11 (AGC) thông qua Command Module (Comanche055) và Lunar Module (Luminary099). Được số hóa bởi những người ở [Virtual AGC][3] và [Bảo tàng MIT][4]. Mục tiêu là tạo ra một repo lưu trữ mã nguồn cho Apollo 11. Do vậy, yêu cầu đóng góp (pull request) là một điều bình thường cho bất kì một vấn đề được xác định giữa các bản dịch trong repo này và nguồn gốc quét mã cho [Luminary 099][5] và [Comanche 055][6], cũng như bất kì file nào mà chúng tôi có thể bỏ lỡ.

## Đóng góp

Hãy đọc [CONTRIBUTING.md][7] trước khi bạn mở một pull request.

## Biên dịch

Nếu bạn quan tâm đến việc biên dịch mã nguồn, hãy kiểm tra [Virtual AGC][8].

## Ghi nhận công sức và đóng góp

&nbsp;      | &nbsp;
:---------- | :-----
Bản quyền   | Tài nguyên công cộng
Comanche055 | Một phần của mã nguồn cho Colossus 2A, Command Module's (CM) Apollo Guidance Computer (AGC) cho Apollo 11<br>`Tập hợp sửa đổi 055 của AGC chương trình Comanche bởi NASA`<br>`2021113-051. 10:28 APR. 1, 1969`
Luminary099 | Một phần của mã nguồn cho Luminary 1A, Lunar Module's (LM) Apollo Guidance Computer (AGC) cho Apollo 11<br>`Tập hợp sửa đổi 001 của AGC chương trình LMY99 bởi NASA`<br>`2021112-061. 16:27 JUL. 14, 1969`
Assembler   | yaYUL
Liên hệ     | Ron Burkey <info@sandroid.org>
Website     | www.ibiblio.org/apollo
Số hóa      | Mã nguồn này đã được sao chép hoặc chuyển thể từ các hình ảnh số hóa trong đĩa cứng từ Bảo tàng MIT. Việc số hóa được thực hiện bởi Paul Fjeld và được sắp xếp bởi Deborah Douglas của Bảo tàng. Rất cám ơn cả hai.

### Hợp đồng và Phê duyệt

*Có nguồn gốc từ [CONTRACT_AND_APPROVALS.agc]*

Chương trình AGC này cũng sẽ được gọi là Colossus 2A.

Chương trình này được thiết kế để sử dụng trong Mô-đun Chỉ huy (Command Module) như được chỉ định trong báo cáo `R-577`. Chương trình này được chuẩn bị theo dự án DSR `55-23870`, được tài trợ bởi Trung tâm tàu vũ trụ có người lái của Cơ quan hàng không vũ trụ quốc gia (Manned Spacecraft Center of The National Aeronautics and Space Administration) thông qua hợp đồng `NAS 9-4065` với Phòng thí nghiệm thiết bị (Instrumentation Laboratory), Viện công nghệ Massachusetts (Massachusetts Institute of Technology), Cambridge, Mass.

Gửi bởi              | Vai trò | Ngày
:------------------- | :------ | :---
Margaret H. Hamilton | Trưởng nhóm lập trình Colossus<br>Hướng dẫn và định hướng Apollo | 28 Mar 69

Được chấp nhận bởi | Vai trò | Ngày
:----------------  | :------ | :---
Daniel J. Lickly   | Giám đốc, Nhiệm vụ phát triên chương trình<br>Hướng dẫn và định hướng chương trình Apollo | 28 Mar 69
Fred H. Martin     | Quản lý dự án Colossus<br>Hướng dẫn và định hướng chương trình Apollo | 28 Mar 69
Norman E. Sears    | Giám đốc, Nhiệm vụ phát triển<br>Hướng dẫn và định hướng chương trình Apollo | 28 Mar 69
Richard H. Battin  | Giám đốc, Nhiệm vụ phát triển<br>Hướng dẫn và định hướng chương trình Apollo | 28 Mar 69
David G. Hoag      | Giám đốc<br>Hướng dẫn và định hướng chương trình Apollo | 28 Mar 69
Ralph R. Ragan     | Phó Giám đốc<br>Phòng thí nghiệm thiết bị | 28 Mar 69

[CONTRACT_AND_APPROVALS.agc]:https://github.com/chrislgarry/Apollo-11/blob/master/Comanche055/CONTRACT_AND_APPROVALS.agc
[1]:https://flat.badgen.net/badge/NASA/Mission%20Overview/0B3D91
[2]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[3]:http://www.ibiblio.org/apollo/
[4]:http://web.mit.edu/museum/
[5]:http://www.ibiblio.org/apollo/ScansForConversion/Luminary099/
[6]:http://www.ibiblio.org/apollo/ScansForConversion/Comanche055/
[7]:https://github.com/chrislgarry/Apollo-11/blob/master/CONTRIBUTING.md
[8]:https://github.com/rburkey2005/virtualagc
[SWH]:https://flat.badgen.net/badge/Software%20Heritage/Archive/0B3D91
[SWH_URL]:https://archive.softwareheritage.org/browse/origin/https://github.com/chrislgarry/Apollo-11/
[Comanche]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/1
[ComancheMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/1
[Luminary]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/2
[LuminaryMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/2
